# POST /v1/workspaces/{workspace_id}/fs/_/stat - File metadata

Source: <https://everruns.com/docs/api/operations/stat_file/>

POST

/v1/workspaces/{workspace\_id}/fs/\_/stat

Select code samplecURL (shell:curl)

```js
const url = 'https://app.everruns.com/api/v1/workspaces/example/fs/_/stat';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"path":"example"}'
};


try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```sh
curl --request POST \
  --url https://app.everruns.com/api/v1/workspaces/example/fs/_/stat \
  --header 'Content-Type: application/json' \
  --data '{ "path": "example" }'
```

* Production APIapp.everruns.com/api/v1/workspaces/{workspace\_id}/fs/\_/stat

## Parameters

### Path Parameters

**workspace\_id**

required

string

Workspace ID (wsp\_<32-hex>)

## Request Bodyrequired

Media typeapplication/json

object

**path**

required

string

##### Examplegenerated

```json
{
  "path": "example"
}
```

## Responses

### 200

File metadata

Media typeapplication/json

File stat information

object

**created\_at**

required

Timestamp when this entry was created (RFC 3339).

string format: date-time

**is\_directory**

required

`true` when this entry represents a directory.

boolean

**is\_readonly**

required

Whether the entry is read-only.

boolean

**name**

required

File or directory name (last segment of `path`).

string

**path**

required

Absolute path within the session workspace.

string

**size\_bytes**

required

File size in bytes. `0` for directories.

integer format: int64

**updated\_at**

required

Timestamp when this entry was last updated (RFC 3339).

string format: date-time

##### Examplegenerated

```json
{
  "created_at": "2026-04-15T12:00:00Z",
  "is_directory": true,
  "is_readonly": true,
  "name": "example",
  "path": "example",
  "size_bytes": 1,
  "updated_at": "2026-04-15T12:00:00Z"
}
```

### 404

Not found

### 500

Internal server error